<?
	/** Ta strona służy do wyświetlenia formularza umożliwiającego dodanie/edycję zadania.
	* @author Dariusz Działak
	* @package XPWykladowca
	*/

	global $sess;

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		if (empty($zadanie)) {
			$doThis = "W_dodaj_zadanie";
			$button = "dodaj zadanie";
			$header = "wprowadź dane do nowego zadania";
	//		$author = $sess->get("id");
		} else {
			$info = $sess->get(w_ed_zadanie);
			$doThis = "W_zmien_zadanie";
			$button = "zmien zadanie";
			$header = "zadanie id. $zadanie";
		}
		echo "<H1>".$sess->get(w_przedmiot)."</H1><H2> $header </H2>\n";

		$info[id] = $zadanie;
		$sess->set(w_ed_zadanie, $info);

		$form = new CForm();
		$tab = new CTable(2, ttable);

		$tab->addField(numer, Teven);
		$tab->addField($form->inputText(numer, text, "value='$info[numer]'"), Teven);

		$tab->addField(nazwa, Todd);
		$tab->addField($form->inputText(nazwa, text, "value='$info[nazwa]'"), Todd);

		$tab->addField("termin 1", Teven);
		$time = strtotime($info[termin1]);
		$tab->addField($form->getdate2(date("Y", $time),date("m", $time),date("d", $time),date("G", $time),date("i", $time),date("s", $time),"1"), Teven);

		$tab->addField("uwzględnij termin 2", Todd);
		if ($info[ist2]==1) $isdata2 = "";
		else $isdata2 = "checked";
		$tab->addField($form->inputText(isdata2, checkbox, "$isdata2"), Todd);

		$tab->addField("termin 2", Teven);
		$time = strtotime($info[termin2]);
		$tab->addField($form->getdate2(date("Y", $time),date("m", $time),date("d", $time),date("G", $time),date("i", $time),date("s", $time),"2"), Teven);

		$tab->addField(poblazanie, Todd);
		$tab->addField($form->inputText(poblazanie, text, "value='$info[poblazanie]'"), Todd);

		$tab->addField(zakres, Teven);
		$tab->addField($form->getCheckRange(zakres, "<br>", $info[zakres]), Teven);

		$tab->addField(poziom, Todd);
//		$tab->addField($form->inputText(poziom, text, "value='$info[poziom]'"), Todd);
		$tab->addField($form->getCheckLevel("W_licz", "W_diff", "W_zakr", "<br>", $info[poziom]), Todd);
		

		$tab->addField(url, Teven);
		$tab->addField($form->inputText(url, text, "value='$info[url]'"), Teven);

		$tab->addField(autor, Todd);
		$tab->addField($author, Todd);

		$tab->addField(utworzenie, Teven);
		$tab->addField($info[utw], Teven);

		$tab->addField(modyfikacja, Todd);
		$tab->addField($info[mod], Todd);

		$tab->addField($form->xpage("W_przedm").$form->xexepage($doThis));
		$tab->addField($form->inputText(submit, submit, "value='$button'"));

		$tab->close();
		$form->close();

		include "include/W_pokaz_zadania.inc.php";

		if ($sess->isLoged("Asys")) {
			$link = new CLink ("Asys_cykle", "Asys_cykle");
			print("<BR>");
			$link->lprint("-> wybór spośród cykli");
		}
	}
?>
